# Un programa en python
# para calcular las dos soluciones de
# la ecuación cuadrática: ax^2 + bx + c = 0
#
import sys
import math

if len(sys.argv) != 4:
	print( "Args:  a b c" )
	sys.exit(1)

a = float(sys.argv[1])
b = float(sys.argv[2])
c = float(sys.argv[3])

# Calculamos el discriminante

dis = b*b - 4*a*c

if math.fabs(dis)<1e-8 :
	print( "Dos raices iguales:" )
	r1 = -b/(2*a)
	print( r1, r1 )

elif dis > 0 :
	print( "Dos raices reales y diferentes:" )
	dis = math.sqrt(dis)
	r1 = (-b+dis)/(2*a)
	r2 = (-b-dis)/(2*a)
	print( r1, r2 )

else :
	print( "Dos raices imaginarias:" )
	dis = math.sqrt(-dis)
	real = -b/(2*a)
	imag = dis/(2*a)
	print( "{} + j{}, {} - j{}".format(real, imag, real, imag) )
